<?php 

namespace Controller;

defined('ROOTPATH') OR exit('Access Denied!');

/**
 * signup class
 */
use \Core\Request;
use \Model\User;

class Signup
{
	use MainController;

	public function index()
	{
		$data['errors'] = [];

		$req = new Request;
		$user = new User;

		if($req->posted())
		{

			$post = $req->post();

			if($user->validate($post)){
				
				$post['password'] = password_hash($post['password'], PASSWORD_DEFAULT);
				$post['date_created'] = date("Y-m-d H:i:s");
				$post['role'] = "user";
				
				$user->insert($post);

				message('Your account was created. Please login to continue');
				redirect('login');
			}

			$data['errors'] = $user->errors;
		}

		$this->view('signup',$data);
	}

}
